%define	desktop_vendor startcom

Summary: Sound wave editor
Name: sweep
Version: 0.9.2
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://sweep.sourceforge.net/
Source: http://www.metadecks.org/software/sweep/download/sweep-%{version}.tar.bz2
Source1: sweep.desktop
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: hicolor-icon-theme

BuildRequires: pkgconfig alsa-lib-devel gtk2-devel desktop-file-utils
BuildRequires: libsamplerate-devel libsndfile-devel 
BuildRequires: libvorbis-devel speex-devel

%description
Sweep is an editor for sound samples. It operates on files of various
formats such as .wav, .aiff and .au, and has multiple undo/redo levels
and filters. It supports audio filter plugins from the LADSPA project.

%package  devel
Summary: Sweep plugin development kit
Group: Development/Libraries
Requires: sweep = %{version}-%{release}

%description devel
The sweep-devel package contains header files and documentation for writing
plugins for Sweep, a sound wave editor.

Install sweep-devel if you're going to create plugins for Sweep. You will
also need to install sweep.

%prep
%setup -q -n sweep-%{version}

%build
%configure
gmake

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# copy icon to the proper freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
%{__cp} %{buildroot}%{_datadir}/pixmaps/sweep.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/

# desktop file categories
BASE="X-StartCom Application AudioVideo"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%find_lang sweep

%clean
%{__rm} -r %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f sweep.lang
%defattr (-,root,root)
%doc ABOUT-NLS NEWS README ChangeLog
%doc README.Solaris README.ALSA
%doc doc/*.txt
%{_bindir}/sweep
%{_libdir}/sweep
%{_datadir}/pixmaps/sweep*
%{_datadir}/sweep/sweep_splash.png
%{_datadir}/icons/hicolor/scalable/apps/*
%{_mandir}/man1/sweep.1*
%{_datadir}/applications/%{desktop_vendor}-sweep.desktop
%exclude %{_datadir}/applications/sweep.desktop

%files devel
%defattr (-,root,root)
%doc doc/plugin_writers_guide.txt
%{_includedir}/sweep/

%changelog
* Fri Nov 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Sun Apr 15 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-1
- udpated to 0.9.2, rework spec file, build on fc6

* Wed Jan 25 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-1
- updated to 0.9.0, now needs gtk2
- update file list

* Sun Dec 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Thu Dec  2 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.3-2
- remove extra menu entry that appears everywhere in fcx

* Fri Aug 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.3-1
- updated to 0.8.3
- 8.0 needs explicit pkgconfig build requirement
- tdb is now included in the package, removed build dependency

* Wed May 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added missing defattr

* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.2-2
- added release tags, spec file tweaks
- added old alsa api defines

* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.2-2
- rebuilt due to change in speex 1.0 library version

* Wed May  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.2-1
- updated to 0.8.2, now with alsa support

* Wed Feb 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.1-1
- updated to 0.8.1

* Sun Feb  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.0-1
- updated to 0.8.0, added icon

* Sat Dec  4 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.13
- updated to 0.5.13

* Sat Nov 16 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.10a
- updated to 0.5.10a
- updated file lists

* Thu Oct 24 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- used as a base sweep's included spec file
- cannot enable alsa, won't compile with current library
- added redhat 8.0 menu

* Sun Oct 08 2000 Conrad Parker <conrad@vergenet.net>
- updated for sweep version 0.1.0
- added devel package
- added packaging of plugins
- added documentation
